Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgMapBase Class Reference
[MgMapBase]

Defines the runtime state of a map. More...

Inherits MgResource.

Inherited by MgMap.

List of all members.

## Public Member Functions
virtual void | Create (CREFSTRING mapSRS, MgEnvelope *mapExtent, CREFSTRING mapName)
| Initializes a new MgMapBase object given a spatial reference system, spatial extent of the map, and a name for the map. This method is used for the WMS service implementation and creates a map without any layers.
virtual void | Create (MgResourceService *resourceService, MgResourceIdentifier *mapDefinition, CREFSTRING mapName)
| Initializes a new MgMapBase object given a resource service, map definition, and a name for the map. This method is used for MapGuide Viewers or for offline map production.
virtual MgEnvelope * | GetDataExtent ()
virtual INT32 | GetDisplayDpi ()
virtual INT32 | GetDisplayHeight ()
virtual INT32 | GetDisplayWidth ()
virtual double | GetFiniteDisplayScaleAt (INT32 index)
virtual INT32 | GetFiniteDisplayScaleCount ()
virtual MgLayerGroupCollection * | GetLayerGroups ()
| Returns this map's layer groups.
virtual MgLayerCollection * | GetLayers ()
virtual MgResourceIdentifier * | GetMapDefinition ()
| Returns the resource identifier that specifies the location of the map definition that was used to create this map.
virtual MgEnvelope * | GetMapExtent ()
virtual STRING | GetMapSRS ()
virtual STRING | GetName ()
| Gets the name of this map.
virtual STRING | GetObjectId ()
STRING | GetSessionId ()
virtual MgPoint * | GetViewCenter ()
| Gets the current center point of the map, in the spatial reference system of the map.
virtual double | GetViewScale ()
| MgMapBase ()
| Constructs an empty un-initialized MgMapBase object.
virtual void | Open (MgResourceService *resourceService, CREFSTRING mapName)
| Loads the map object from a session repository.

## Detailed Description

Defines the runtime state of a map.

Note:
  This is a base class. In most cases it is best to use a class derived from this class. See Maps and Layers for details.

Comments or suggestions? Send us feedback.